Skip to main content
POST
/
v1
/
ingest
/
sources
/
{source_key}
/
uploads
/
parts
Sign upload parts
curl --request POST \
  --url https://api.withsplendor.com/v1/ingest/sources/{source_key}/uploads/parts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
  --data '
{
  "part_numbers": [
    123
  ],
  "upload_session_id": "<string>"
}
'
{
  "parts": [
    {
      "expires_at": "2026-01-15T09:30:00Z",
      "part_number": 1,
      "upload_url": "https://acme-uploads.s3.amazonaws.com/..."
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

source_key
string
required

Body

application/json
part_numbers
integer[]
required
Required array length: 1 - 1000 elements
upload_session_id
string
required
Required string length: 1 - 64

Response

Successful Response

parts
HostedMultipartPartUrl · object[]
required